package com.caimei365.tools.mapper;

import com.caimei365.tools.model.po.LogisticsInfoPo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/31
 */
@Mapper
public interface LogisticsMapper {
    /**
     * 近半年未签收物流列表
     */
    List<LogisticsInfoPo> getAllUnsignedLogistics();

    /**
     * 顺丰速运需要提供收/寄件人的电话号码查询
     */
    String getLogisticsPhoneByOrderId(Long orderId);

    /**
     * 更新数据库物流信息
     */
    void updateLogistics(LogisticsInfoPo logistics);
}
